%global etl_arch %{_arch}

#in 2.81.1 it was et.x86, since 2.81.1 it is et.i386.....
#If uncoment, don't forget to replace %% by %
#%ifarch %%ix86
#%%global etl_arch %%{__isa_name}
#%endif

Name:		etlegacy
Summary:	A second breath of life for Wolfenstein: Enemy Territory
Version:	2.82.0
Release:	%mkrel 0
License:	GPLv3
Group:		Games/Shooter
Url:		https://www.etlegacy.com/
Source0:	https://github.com/etlegacy/etlegacy/archive/v%{version}/%{name}-%{version}.tar.gz
Source3:	https://mirror.etlegacy.com/wolfadmin/wolfadmin.tar.gz
ExclusiveArch:	%ix86 %arm64 x86_64
BuildRequires:	git-core
BuildRequires:	cmake
BuildRequires:	geoip-database
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(libcjson)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lua) >= 5.4
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xext)
#BuildRequires:	pkgconfig(appstream-glib)
Requires:	geoip-database
Requires: libalsa-plugins-pulseaudio
Requires: libxrandr2
Requires: libgtkmm4.0_0

%description
ET: Legacy is an open source project based on the code of Wolfenstein: Enemy
Territory which was released in 2010 under the terms of the GPLv3 license.

%prep
%autosetup -p1 -Sgit_am

mkdir -p build/legacy
cp %{SOURCE3} build/legacy
pushd build/legacy
  tar -xzf %{SOURCE3}
popd

# fool build system a bit
git tag -a %{version} -m "%{version}"

%build
%cmake \
%ifnarch %ix86
  -DCROSS_COMPILE32:BOOL=OFF \
%endif
%ifarch x86_64
  -DENABLE_SSE:BOOL=ON \
%endif
%ifarch %arm64
  -DARM:BOOL=ON \
%endif
  -DBUNDLED_OPENSSL:BOOL=OFF \
  -DBUNDLED_WOLFSSL:BOOL=OFF \
  -DBUNDLED_LIBS:BOOL=OFF \
  -DBUNDLED_LIBS_DEFAULT:BOOL=OFF \
  -DBUNDLED_LIBS:BOOL="0" \
  -DBUNDLED_CURL:BOOL="0" \
  -DBUNDLED_SDL:BOOL="0" \
  -DBUNDLED_JPEG:BOOL="0" \
  -DBUNDLED_LUA:BOOL="0" \
  -DFEATURE_CURL:BOOL="1" \
  -DFEATURE_OPENAL:BOOL="1" \
  -DFEATURE_FREETYPE:BOOL="1" \
  -DFEATURE_TRACKER:BOOL="1" \
  -DFEATURE_LUA:BOOL="1" \
  -DFEATURE_MULTIVIEW:BOOL="1" \
  -DFEATURE_ANTICHEAT:BOOL="1" \
  -DFEATURE_GETTEXT:BOOL="1" \
  -DFEATURE_JANSSON:BOOL="1" \
  -DFEATURE_LIVEAUTH:BOOL="1" \
  -DFEATURE_RENDERER2:BOOL="1" \
  -DFEATURE_OMNIBOT:BOOL="0" \
  -DINSTALL_OMNIBOT:BOOL="0" \
  -DBUILD_SERVER:BOOL=OFF \
  -DINSTALL_DEFAULT_BINDIR:PATH=games \
  -DINSTALL_DEFAULT_SHAREDIR:PATH=share \
  -DINSTALL_DEFAULT_MODDIR:PATH=share/games/%{name} \
  -DINSTALL_DEFAULT_BASEDIR:PATH=%{_gamesdatadir}/%{name} \
  -DINSTALL_OMNIBOT:BOOL=OFF \
  -DINSTALL_GEOIP:BOOL=OFF \
	-DBUILD_MOD=1 \
	-DBUILD_MOD_PK3=1 \
	-DBUNDLED_LIBS=0 \
	-DFEATURE_CURL=1 \
	-DFEATURE_SSL=0 \
	-DFEATURE_AUTH=0 \
	-DFEATURE_OGG_VORBIS=1 \
	-DFEATURE_THEORA=1 \
	-DFEATURE_OPENAL=1 \
	-DFEATURE_FREETYPE=1 \
	-DFEATURE_PNG=1 \
	-DFEATURE_LUA=1 \
	-DFEATURE_MULTIVIEW=1 \
	-DFEATURE_EDV=1 \
	-DFEATURE_ANTICHEAT=1 \
	-DFEATURE_AUTOUPDATE=0 \
	-DFEATURE_RENDERER2=0 \
	-DFEATURE_RENDERER_GLES=0 \
	-DFEATURE_IPV6=1 \
	-DFEATURE_IRC_CLIENT=0 \
	-DFEATURE_IRC_SERVER=0 \
	-DRENDERER_DYNAMIC=1 \
	-DFEATURE_WINDOWS_CONSOLE=0 \
	-DFEATURE_GETTEXT=1 \
	-DFEATURE_SERVERMDX=1 \
	-DFEATURE_DBMS=1 \
	-DFEATURE_PAKISOLATION=1 \
  -DRENDERER_DYNAMIC:BOOL="1"
%cmake_build

%install
%cmake_install

# symlink GeoIP database
mkdir -p %{buildroot}%{_gamesdatadir}/etlegacy/legacy
ln -s %{_datadir}/GeoIP/GeoIP.dat %{buildroot}%{_gamesdatadir}/etlegacy/legacy/GeoIP.dat

# handle docs in files section
rm -rf %{buildroot}%{_datadir}/doc/

# ghost files
for i in pak0 pak1 pak2; do
   touch %{buildroot}%{_gamesdatadir}/etlegacy/etmain/${i}.pk3
done

%post
if [ ! -f %{_gamesdatadir}/etlegacy/etmain/pak0.pk3 ]; then
  tmpdir=$(mktemp -d)
  pushd $tmpdir &> /dev/null
    file=et-linux-2.60.x86.run
    echo "Getting ${file}.."
    wget https://ftp.gwdg.de/pub/misc/ftp.idsoftware.com/idstuff/et/linux/$file
    chmod +x $file
    echo "Extracting and copying files.."
    ./$file --noexec --nox11 --keep --target enemy-territory
    cp -arf enemy-territory/etmain/pak?.pk3 %{_gamesdatadir}/etlegacy/etmain/
    rm -rf enemy-territory
  popd &> /dev/null
fi

%clean
rm -rf %{buildroot}
chmod -R ug+rw %{_rpmdir}
chmod -R ug+rw %{_srcrpmdir}

%files
%license COPYING.txt
%doc *.md
%{_gamesbindir}/etl.%{etl_arch}
%{_gamesdatadir}/etlegacy/
%ghost %{_gamesdatadir}/etlegacy/etmain/pak0.pk3
%ghost %{_gamesdatadir}/etlegacy/etmain/pak1.pk3
%ghost %{_gamesdatadir}/etlegacy/etmain/pak2.pk3
%{_datadir}/applications/com.etlegacy.ETLegacy.%{etl_arch}.desktop
%{_datadir}/mime/packages/etlegacy.xml
%{_iconsdir}/hicolor/*/apps/etl.*
%{_mandir}/man6/etl*.6*
%{_metainfodir}/com.etlegacy.ETLegacy.metainfo.xml
